Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
- AbsScalaSettings
- AbsSettings
- AnyScalaVersion
- Development
- Final
- FscSettings
- Milestone
- MutableSettings
- NoScalaVersion
- RC
- ScalaBuild
- ScalaSettings
- ScalaVersion
- SpecificScalaVersion
- StandardScalaSettings
- Warnings

c

scala.tools.nsc.settings

# Development 

###

#### case class Development(id: String) extends ScalaBuild with Product with Serializable

A development, test, integration, snapshot or other "unofficial" build

Source
  ScalaVersion.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, ScalaBuild, math.Ordered[ScalaBuild], Comparable[ScalaBuild], AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Development
2. Serializable
3. Serializable
4. Product
5. Equals
6. ScalaBuild
7. Ordered
8. Comparable
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Development(id: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Development to any2stringadd[Development] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Development, B)
   Implicit
     This member is added by an implicit conversion from Development to ArrowAssoc[Development] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  def <(that: ScalaBuild): Boolean
   Definition Classes
     Ordered
6.  def <=(that: ScalaBuild): Boolean
   Definition Classes
     Ordered
7.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def >(that: ScalaBuild): Boolean
   Definition Classes
     Ordered
9.  def >=(that: ScalaBuild): Boolean
   Definition Classes
     Ordered
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def compare(that: ScalaBuild): Int
    Definition Classes
      Development → Ordered
13.  def compareTo(that: ScalaBuild): Int
    Definition Classes
      Ordered → Comparable
14.  def ensuring(cond: (Development) ⇒ Boolean, msg: ⇒ Any): Development
    Implicit
      This member is added by an implicit conversion from Development to Ensuring[Development] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (Development) ⇒ Boolean): Development
    Implicit
      This member is added by an implicit conversion from Development to Ensuring[Development] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: ⇒ Any): Development
    Implicit
      This member is added by an implicit conversion from Development to Ensuring[Development] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): Development
    Implicit
      This member is added by an implicit conversion from Development to Ensuring[Development] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Development to StringFormat[Development] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  val id: String
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def unparse: String

    Return a version of this build information that can be parsed back into the same ScalaBuild

    Return a version of this build information that can be parsed back into the same ScalaBuild

    Definition Classes
      Development → ScalaBuild
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (Development, B)
    Implicit
      This member is added by an implicit conversion from Development to ArrowAssoc[Development] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ScalaBuild

### Inherited from math.Ordered[ScalaBuild]

### Inherited from Comparable[ScalaBuild]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Development to any2stringadd[Development]

### Inherited by implicit conversion StringFormat from Development to StringFormat[Development]

### Inherited by implicit conversion Ensuring from Development to Ensuring[Development]

### Inherited by implicit conversion ArrowAssoc from Development to ArrowAssoc[Development]

### Ungrouped